<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <!-- <el-table-column type="expand">
                <template slot-scope="props">
                    <el-form label-position="top" class="dialog-table-expand">
                        <el-row>
                            <el-form-item label="解决问题：">
                                <span>{{ props.row.resolve }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="运行实效：">
                                <span>{{ props.row.shixiao }}</span>
                            </el-form-item>
                        </el-row>
                        <el-row>
                            <el-form-item label="佐证材料：">
                                <span>{{ props.row.fujian }}</span>
                            </el-form-item>
                        </el-row>
                    </el-form>
                </template>
            </el-table-column> -->
            <el-table-column
                type="index"
                label="序号"
                width="60"
            ></el-table-column>
            <el-table-column prop="objectName" label="应用名称" width="200">
            </el-table-column>
            <el-table-column prop="projectName" label="项目名称">
            </el-table-column>
            <el-table-column prop="finishTime" label="上线日期">
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'applicationScenario',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            // tableData: [
            //     {
            //         id: 1,
            //         platName: '应用名称',
            //         projectName: '推动数字重庆建设',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 2,
            //         platName: '应用名称',
            //         projectName: '全市开发区（园区）数',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 3,
            //         platName: '应用名称',
            //         projectName: '探索制造业“亩均论英雄”改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 4,
            //         platName: '应用名称',
            //         projectName: '实施国企战略性重组和专业化整合',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 5,
            //         platName: '应用名称',
            //         projectName: '建立企业上市助推机制',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 6,
            //         platName: '应用名称',
            //         projectName: '探索强村富民综合改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 7,
            //         platName: '应用名称',
            //         projectName: '探索经济区与行政区适度分离改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 8,
            //         platName: '应用名称',
            //         projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 9,
            //         platName: '应用名称',
            //         projectName: '打造“信用重庆”升级版',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 10,
            //         platName: '应用名称',
            //         projectName: '建设政企学研深度融合的现代职教体系',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 11,
            //         platName: '应用名称',
            //         projectName: '健全平安重庆风险闭环管控机制',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 10,
            //         platName: '应用名称',
            //         projectName: '推进渝警数智“情指行”一体化现代警务改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 10,
            //         platName: '应用名称',
            //         projectName: '建立领导班子运行评估和群众口碑评价机制',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 10,
            //         platName: '应用名称',
            //         projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            //     {
            //         id: 15,
            //         platName: '应用名称',
            //         projectName: '实施投融资多元化改革',
            //         finishTime: '2023-01-01',
            //         area: '璧山',
            //         fujian: '',
            //         shixiao:
            //             '本平台运行后为**************************************。',
            //         resolve:
            //             '为解决XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX。',
            //     },
            // ],
        }
    },
    mounted() {
        this.getResultList()
    },
    methods: {
        getResultList() {
            this.loading = true
            // 1.制度成果
            // 2.工作平台
            // 3.应用场景
            let data1 = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'type',
                        relation: 'AND',
                        value: 3,
                    },
                ],
            }
            apiList.getResultList(data1, (res) => {
                if (res) {
                    this.tableData = res.records
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
</style>
<style lang="scss">
@import './table.scss';
</style>
